// DormantNodeWindow.h
// e.moon 2jun99

#ifndef __DormantNodeWindow_H__
#define __DormantNodeWindow_H__

#include <Window.h>

#include "cortex_defs.h"
__BEGIN_CORTEX_NAMESPACE

class DormantNodeView;

class DormantNodeWindow :
	public		BWindow {
	typedef	BWindow _inherited;
	
public:					// ctor/dtor
	virtual ~DormantNodeWindow();
	DormantNodeWindow();

public:					// BHandler impl
	virtual void MessageReceived(BMessage* pMsg);
	
public:					// BWindow impl
	bool QuitRequested();

private:					// members
	DormantNodeView*	m_pListView;
	
	static const BRect	s_initFrame;
};

__END_CORTEX_NAMESPACE
#endif /*__DormantNodeWindow_H__*/
